-- To re-enable some messages add "--" at the start of corresponding line(s) below
local ignored_hints = {
	"hint_gage_assignment_progress",
	"grabbed_small_loot",
}
local ignored_titles = {
	"hud_civilian_killed_title",
	"hud_loot_secured_title",
	"present_obtained_mission_equipment_title",
	"hud_objective_reminder",
	"mission_objective_updated",
	"mission_objective_activated",
	"message_obtained_equipment",
}

if RequiredScript == "lib/managers/hintmanager" then
	local original = HintManager.show_hint
	function HintManager:show_hint(id, time, only_sync, params)
		for _, ignored in pairs(ignored_hints) do
			if id == ignored then
				return
			end
		end
		original(self, id, time, only_sync, params)
	end
end

if RequiredScript == "lib/managers/hud/hudpresenter" then
	local original = HUDPresenter.present
	function HUDPresenter:present(params)
		if params.title then
			for _, ignored in pairs(ignored_titles) do
				local localized_ign = managers.localization:text(ignored)
				if localized_ign and params.title:sub(-#localized_ign) == localized_ign then
					return
				end
			end
		end
		original(self, params)
	end
end
